// Martin Poehlmann's init_notifier.m modified for OpenSource Notifier 3.1
// by Ariszlo <ariszlo@gmail.com> and PeterK. <peter_ka@gmx.net>


/*---------------------------------------------------
-----------------------------------------------------
Filename:	init_notifier.m

Type:		maki/attrib definitions
Version:	1.1
Date:		12. Jul. 2006 - 16:15 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		wasabi/notifier/notifier.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

#include "gen_pageguids.m"

Function initAttribs_notifier();

#define CUSTOM_PAGE_NOTIFIER "{1AB968B3-8687-4a35-BA70-FCF6D92FB57F}"
#define CUSTOM_PAGE_NOTIFIER_AA "{7BF45B05-2B98-4de8-8778-E5CCC9639ED1}"
#define CUSTOM_PAGE_NOTIFIER_LOC "{715B2C0D-1DF0-4bb2-9D74-0FACAE27CE97}"
#define CUSTOM_PAGE_NOTIFIER_FDIN "{D9891A39-7A38-45d8-9D51-A08F7270C836}"
#define CUSTOM_PAGE_NOTIFIER_FDOUT "{560EAE41-1379-4927-AC55-FB5F4D47C9B8}"

// Lines 37-54 imported from Quinto Black CT v1.2:
#define CUSTOM_PAGE_NOTIFIER_TIME "{EDAD4003-2408-C1A7-C17E-423B087E3033}"
#define CUSTOM_PAGE_NOTIFIER_TIME_FDIN "{A370E160-7574-143A-8BCB-C9FFED648E52}"
#define CUSTOM_PAGE_NOTIFIER_TIME_HOLD "{C72E77DE-251F-21A1-42CA-4B6D61B7867C}"
#define CUSTOM_PAGE_NOTIFIER_TIME_FDOUT "{05C1B8AC-3BB0-E3B2-DBF0-0C966A563E1F}"

Global ConfigAttribute notifier_time_fdin_1_attrib;
Global ConfigAttribute notifier_time_fdin_2_attrib; // Replaced 5 with 2
Global ConfigAttribute notifier_time_fdin_3_attrib;
Global ConfigAttribute notifier_time_hold_1_attrib;
Global ConfigAttribute notifier_time_hold_2_attrib; // Added 2 sec
Global ConfigAttribute notifier_time_hold_3_attrib;
Global ConfigAttribute notifier_time_hold_5_attrib;
Global ConfigAttribute notifier_time_hold_7_attrib;
Global ConfigAttribute notifier_time_fdout_1_attrib;
Global ConfigAttribute notifier_time_fdout_2_attrib; // Replaced 5 with 2
Global ConfigAttribute notifier_time_fdout_3_attrib;

Global Int notifier_fadeintime, notifier_holdtime, notifier_fadeouttime;

Global ConfigAttribute notifier_minimized_attrib;
Global ConfigAttribute notifier_always_attrib;
Global ConfigAttribute notifier_never_attrib;
Global ConfigAttribute notifier_fadeintime_attrib;
Global ConfigAttribute notifier_fadeouttime_attrib;
Global ConfigAttribute notifier_holdtime_attrib;
Global ConfigAttribute notifier_hideinfullscreen_attrib;
Global ConfigAttribute notifier_windowshade_attrib;

// Removed "Open Now Playing on Click":
// Global ConfigAttribute notifier_opennowplaying_attrib;
Global ConfigAttribute notifier_artworkinnotification_attrib;

Global ConfigAttribute notifier_fdout_alpha;
Global ConfigAttribute notifier_fdout_hslide;
Global ConfigAttribute notifier_fdout_vslide;

Global ConfigAttribute notifier_fdin_alpha;
Global ConfigAttribute notifier_fdin_hslide;
Global ConfigAttribute notifier_fdin_vslide;

Global ConfigAttribute notifier_loc_br_attrib;
Global ConfigAttribute notifier_loc_bl_attrib;
Global ConfigAttribute notifier_loc_tr_attrib;
Global ConfigAttribute notifier_loc_tl_attrib;
Global ConfigAttribute notifier_loc_bc_attrib;
Global ConfigAttribute notifier_loc_tc_attrib;

Global ConfigAttribute notifier_loc_vport_attrib;
Global ConfigAttribute notifier_loc_monitor_attrib;


initAttribs_notifier()
{
	// Lines 91-93 imported from Quinto Black CT v1.2:
	notifier_fadeintime=getPrivateInt(getSkinName(),"notifier_fadeintime",1000); 
	notifier_holdtime=getPrivateInt(getSkinName(),"notifier_holdtime",3000); 
	notifier_fadeouttime=getPrivateInt(getSkinName(),"notifier_fadeouttime",1000); 
	
	initPages();

	ConfigItem custom_page_notifier = addConfigSubMenu(optionsmenu_page, "Notifications", CUSTOM_PAGE_NOTIFIER);

	notifier_always_attrib = custom_page_notifier.newAttribute("Show always", "1");
	notifier_windowshade_attrib = custom_page_notifier.newAttribute("Show with windowshade and when minimized", "0");
	notifier_minimized_attrib = custom_page_notifier.newAttribute("Show only when minimized", "0");
	notifier_minimized_attrib = custom_page_notifier.newAttribute("Show only when minimized", "0");
	notifier_never_attrib = custom_page_notifier.newAttribute("Never show", "0");
	addMenuSeparator(custom_page_notifier);

	ConfigItem custom_page_notifier_loc = addConfigSubMenu(custom_page_notifier, "Location", CUSTOM_PAGE_NOTIFIER_LOC);

	ConfigItem custom_page_notifier_fdin = addConfigSubMenu(custom_page_notifier, "Fade In Effect", CUSTOM_PAGE_NOTIFIER_FDIN);

	ConfigItem custom_page_notifier_fdout = addConfigSubMenu(custom_page_notifier, "Fade Out Effect", CUSTOM_PAGE_NOTIFIER_FDOUT);
// custom_page_notifier_time imported from Quinto Black CT v1.2:
	ConfigItem custom_page_notifier_time=addConfigSubMenu(custom_page_notifier,"Time",CUSTOM_PAGE_NOTIFIER_TIME);
	addMenuSeparator(custom_page_notifier);
	notifier_hideinfullscreen_attrib = custom_page_notifier.newAttribute("Disable in fullscreen", "1");
	addMenuSeparator(custom_page_notifier);
// Removed "Open Now Playing on Click":
//	notifier_opennowplaying_attrib = custom_page_notifier.newAttribute("Open Now Playing on Click", "1");
//	sep = custom_page_notifier.newAttribute("sep333", ""); sep.setData("-");
	notifier_artworkinnotification_attrib = custom_page_notifier.newAttribute("Show Now Playing Artwork", "1");
	
	// These hidden submenus will not be needed:
	//notifier_fadeintime_attrib = custom_page_nonexposed.newAttribute("Notifications fade in time", "1000");
	//notifier_fadeouttime_attrib = custom_page_nonexposed.newAttribute("Notifications fade out time", "5000");
	//notifier_holdtime_attrib = custom_page_nonexposed.newAttribute("Notifications display time", "2000");


// Notifications > Location
	notifier_loc_bl_attrib = custom_page_notifier_loc.newAttribute("Bottom Left", "0");
	notifier_loc_bc_attrib = custom_page_notifier_loc.newAttribute("Bottom Center", "0");
	notifier_loc_br_attrib = custom_page_notifier_loc.newAttribute("Bottom Right", "1");
	notifier_loc_tl_attrib = custom_page_notifier_loc.newAttribute("Top Left", "0");
	notifier_loc_tc_attrib = custom_page_notifier_loc.newAttribute("Top Center", "0");
	notifier_loc_tr_attrib = custom_page_notifier_loc.newAttribute("Top Right", "0");
	addMenuSeparator(custom_page_notifier_loc);
	notifier_loc_vport_attrib = custom_page_notifier_loc.newAttribute("Relative to Viewport", "1");
	notifier_loc_monitor_attrib = custom_page_notifier_loc.newAttribute("Relative to Monitor", "0");

// Notifications > Fade...
	notifier_fdout_alpha = custom_page_notifier_fdout.newAttribute("Alpha Fade ", "1"); 
	notifier_fdout_vslide = custom_page_notifier_fdout.newAttribute("Vertical Slide ", "0");
	notifier_fdout_hslide = custom_page_notifier_fdout.newAttribute("Horizontal Slide ", "0");

	// Martin> We need a additional spacer for the last 3 attribs, so we won't cross withe the 3 below in studio.xnf

	notifier_fdin_alpha = custom_page_notifier_fdin.newAttribute("Alpha Fade", "1");
	notifier_fdin_vslide = custom_page_notifier_fdin.newAttribute("Vertical Slide", "0");
	notifier_fdin_hslide = custom_page_notifier_fdin.newAttribute("Horizontal Slide", "0");

	// Submenu "Time" imported from Quinto Black CT v1.2 (lines 150-165)
	ConfigItem custom_page_notifier_time_fdin=addConfigSubMenu(custom_page_notifier_time,"Adjust Fade in time",CUSTOM_PAGE_NOTIFIER_TIME_FDIN);
	notifier_time_fdin_1_attrib=custom_page_notifier_time_fdin.newAttribute("1 sec","1");
	notifier_time_fdin_2_attrib=custom_page_notifier_time_fdin.newAttribute("2 sec","0"); // Replaced 5 with 2
	notifier_time_fdin_3_attrib=custom_page_notifier_time_fdin.newAttribute("3 sec","0");
	
	ConfigItem custom_page_notifier_time_hold=addConfigSubMenu(custom_page_notifier_time,"Adjust Hold time",CUSTOM_PAGE_NOTIFIER_TIME_HOLD);
	notifier_time_hold_1_attrib=custom_page_notifier_time_hold.newAttribute("1 sec ","0");
	notifier_time_hold_2_attrib=custom_page_notifier_time_hold.newAttribute("2 sec ","0"); // Added 2 sec
	notifier_time_hold_3_attrib=custom_page_notifier_time_hold.newAttribute("3 sec ","1");
	notifier_time_hold_5_attrib=custom_page_notifier_time_hold.newAttribute("5 sec ","0");
	notifier_time_hold_7_attrib=custom_page_notifier_time_hold.newAttribute("7 sec ","0");
	
	ConfigItem custom_page_notifier_time_fdout=addConfigSubMenu(custom_page_notifier_time,"Adjust Fade out time",CUSTOM_PAGE_NOTIFIER_TIME_FDOUT);
	notifier_time_fdout_1_attrib=custom_page_notifier_time_fdout.newAttribute("1 sec  ","1");
	notifier_time_fdout_2_attrib=custom_page_notifier_time_fdout.newAttribute("2 sec  ","0"); // Replaced 5 with 2
	notifier_time_fdout_3_attrib=custom_page_notifier_time_fdout.newAttribute("3 sec  ","0");
}

#ifdef MAIN_ATTRIBS_MGR

notifier_always_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_never_attrib.setData("0");
	notifier_minimized_attrib.setData("0");
	notifier_windowshade_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_never_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_always_attrib.setData("0");
	notifier_minimized_attrib.setData("0");
	notifier_windowshade_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_minimized_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_never_attrib.setData("0");
	notifier_always_attrib.setData("0");
	notifier_windowshade_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_windowshade_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_never_attrib.setData("0");
	notifier_always_attrib.setData("0");
	notifier_minimized_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_fdout_alpha.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_fdout_hslide.setData("0");
	notifier_fdout_vslide.setData("0");
	attribs_mychange = 0;
}

notifier_fdout_hslide.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_fdout_alpha.setData("0");
	notifier_fdout_vslide.setData("0");
	attribs_mychange = 0;
}

notifier_fdout_vslide.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_fdout_hslide.setData("0");
	notifier_fdout_alpha.setData("0");
	attribs_mychange = 0;
}

notifier_fdin_alpha.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_fdin_hslide.setData("0");
	notifier_fdin_vslide.setData("0");
	attribs_mychange = 0;
}

notifier_fdin_hslide.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_fdin_alpha.setData("0");
	notifier_fdin_vslide.setData("0");
	attribs_mychange = 0;
}

notifier_fdin_vslide.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_fdin_hslide.setData("0");
	notifier_fdin_alpha.setData("0");
	attribs_mychange = 0;
}

notifier_loc_br_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_bl_attrib.setData("0");
	notifier_loc_tr_attrib.setData("0");
	notifier_loc_tl_attrib.setData("0");
	notifier_loc_tc_attrib.setData("0");
	notifier_loc_bc_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_loc_bl_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_br_attrib.setData("0");
	notifier_loc_tr_attrib.setData("0");
	notifier_loc_tl_attrib.setData("0");
	notifier_loc_tc_attrib.setData("0");
	notifier_loc_bc_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_loc_tl_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_bl_attrib.setData("0");
	notifier_loc_tr_attrib.setData("0");
	notifier_loc_br_attrib.setData("0");
	notifier_loc_tc_attrib.setData("0");
	notifier_loc_bc_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_loc_tr_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_bl_attrib.setData("0");
	notifier_loc_br_attrib.setData("0");
	notifier_loc_tl_attrib.setData("0");
	notifier_loc_tc_attrib.setData("0");
	notifier_loc_bc_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_loc_tc_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_bl_attrib.setData("0");
	notifier_loc_br_attrib.setData("0");
	notifier_loc_tl_attrib.setData("0");
	notifier_loc_tr_attrib.setData("0");
	notifier_loc_bc_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_loc_bc_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_bl_attrib.setData("0");
	notifier_loc_br_attrib.setData("0");
	notifier_loc_tl_attrib.setData("0");
	notifier_loc_tc_attrib.setData("0");
	notifier_loc_tr_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_loc_vport_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_monitor_attrib.setData("0");
	attribs_mychange = 0;
}

notifier_loc_monitor_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	notifier_loc_vport_attrib.setData("0");
	attribs_mychange = 0;
}

// Lines 371-490 imported from Quinto Black CT v1.2 with modifications:
notifier_time_fdin_1_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_fdin_2_attrib.setData("0"); // Replaced 5 with 2
	notifier_time_fdin_3_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_fadeintime",1000);
	attribs_mychange=0;
}
notifier_time_fdin_2_attrib.onDataChanged() // Replaced 5 with 2
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_fdin_1_attrib.setData("0");
	notifier_time_fdin_3_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_fadeintime",2000); // 2000
	attribs_mychange=0;
}
notifier_time_fdin_3_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_fdin_1_attrib.setData("0");
	notifier_time_fdin_2_attrib.setData("0"); // Replaced 5 with 2
	setPrivateInt(getSkinName(),"notifier_fadeintime",3000);
	attribs_mychange=0;
}
notifier_time_hold_1_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_hold_2_attrib.setData("0"); // Added 2 sec
	notifier_time_hold_3_attrib.setData("0");
	notifier_time_hold_5_attrib.setData("0");
	notifier_time_hold_7_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_holdtime",1000);
	attribs_mychange=0;
}
notifier_time_hold_2_attrib.onDataChanged() // Added 2 sec
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_hold_1_attrib.setData("0");
	notifier_time_hold_3_attrib.setData("0");
	notifier_time_hold_5_attrib.setData("0");
	notifier_time_hold_7_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_holdtime",2000); // 2000
	attribs_mychange=0;
}
notifier_time_hold_3_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_hold_1_attrib.setData("0");
	notifier_time_hold_2_attrib.setData("0"); // Added 2 sec
	notifier_time_hold_5_attrib.setData("0");
	notifier_time_hold_7_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_holdtime",3000);
	attribs_mychange=0;
}
notifier_time_hold_5_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_hold_1_attrib.setData("0");
	notifier_time_hold_2_attrib.setData("0"); // Added 2 sec
	notifier_time_hold_3_attrib.setData("0");
	notifier_time_hold_7_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_holdtime",5000);
	attribs_mychange=0;
}
notifier_time_hold_7_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_hold_1_attrib.setData("0");
	notifier_time_hold_2_attrib.setData("0"); // Added 2 sec
	notifier_time_hold_3_attrib.setData("0");
	notifier_time_hold_5_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_holdtime",7000);
	attribs_mychange=0;
}
notifier_time_fdout_1_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_fdout_2_attrib.setData("0"); // Replaced 5 with 2
	notifier_time_fdout_3_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_fadeouttime",1000);
	attribs_mychange=0;
}
notifier_time_fdout_2_attrib.onDataChanged() // Replaced 5 with 2
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_fdout_1_attrib.setData("0");
	notifier_time_fdout_3_attrib.setData("0");
	setPrivateInt(getSkinName(),"notifier_fadeouttime",2000); // 2000
	attribs_mychange=0;
}
notifier_time_fdout_3_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange=1;
	notifier_time_fdout_1_attrib.setData("0");
	notifier_time_fdout_2_attrib.setData("0"); // Replaced 5 with 2
	setPrivateInt(getSkinName(),"notifier_fadeouttime",3000);
	attribs_mychange=0;
}
#endif
