/* crossfadepopup.m

Written by Ariszlo <ariszlo@gmail.com>

Display crossfade duration in a popup

HOW TO USE

1. Add the following tags using your own positions, sizes and colors:

   <layer
     id="Crossfade Popup Background"
     x="?" y="?"
     image="crossfade.popup.bg"
     alpha="0" ghost="1"
   />
   <text
     id="Crossfade Duration"
     display=""
     x="?" y="?" w="?" h="?" align="center"
     fontsize="26" color="0,0,0"
     alpha="0" ghost="1"
   />
   <script id="crossfadepopup" file="scripts/crossfadepopup.maki"/>

2. Copy crossfadepopup.maki into your scripts folder. */

#include "lib/std.mi"

Global Slider crossfadeSlider;
Global Layer fakePopup;
Global Text secondsTag;

System.onScriptLoaded() {
  Group scriptGroup = getScriptGroup();
  crossfadeSlider = scriptGroup.getObject("Crossfade Slider");
  fakePopup = scriptGroup.getObject("Crossfade Popup Background");
  secondsTag = scriptGroup.getObject("Crossfade Duration");
  crossfadeSlider.onSetPosition(crossfadeSlider.getPosition());

  fakePopup.setAlpha(0);
  secondsTag.setAlpha(0);
}

crossfadeSlider.onSetPosition(int val) {
  String s = IntegerToString(val);
  if (val == 1) secondsTag.setText(s + " second");
  else secondsTag.setText(s + " seconds");
}

crossfadeSlider.onEnterArea() {
  fakePopup.setAlpha(255);
  secondsTag.setAlpha(255);
}

crossfadeSlider.onLeaveArea() {
  fakePopup.setAlpha(0);
  secondsTag.setAlpha(0);
}
