#include "lib/std.mi"

Global Text timeText, elapsedText, remainingText, lengthText;
Global Timer trackTimer;
Global Int timeleft;

System.onScriptLoaded() {
  group thisGroup = getScriptGroup();

  timeText = thisGroup.getObject("toggle time");
  elapsedText = thisGroup.getObject("elapsed time");
  remainingText = thisGroup.getObject("remaining time");
  lengthText = thisGroup.getObject("song length");

  timeleft = getPrivateInt("this skin", "timeleft", timeleft);
  if (timeleft != 1) timeleft = 0;
  else timeleft = 1;

  trackTimer = new Timer;
  trackTimer.setDelay(50);

  if (getStatus() != 0) {
      if (getPlayItemstring() != "") trackTimer.start();
  }
}

System.onPlay() {
  if (getPlayItemstring() != "") trackTimer.start();
}

System.onPause() {
  if (getPlayItemstring() != "") {
    trackTimer.stop();
    trackTimer.start();
  }
}

System.onResume() {
  if (getPlayItemstring() != "") trackTimer.start();
}

timeText.OnLeftButtonup(int X, int Y) {
  if (timeleft == 0) timeleft = 1;
  else timeleft = 0;
}

trackTimer.onTimer() {
  String elapsedString = floatToString(getPosition()/1000, 1);
  Int elapsedLeft = StringToInteger(getToken(elapsedString, "." , 0));
  Int elapsedRight = StringToInteger(getToken(elapsedString, "." , 1));
  Int roundElapsed;
  if (elapsedRight >= 5) {roundElapsed = (elapsedLeft + 1)*1000;}
  else {roundElapsed = elapsedLeft*1000;}

  elapsedText.setText(integerToTime(roundElapsed));
  if (timeleft==0) {
    timeText.setText(integerToTime(roundElapsed));
    timeleft=0;
  }

  if (getPlayItemLength() > 0) {
    String lengthString = floatToString(getPlayItemLength()/1000, 1);
    Int lengthLeft = StringToInteger(getToken(lengthString, "." , 0));
    Int lengthRight = StringToInteger(getToken(lengthString, "." , 1));
    Int roundLength;
    if (lengthRight >= 5) {roundLength = (lengthLeft + 1)*1000;}
    else {roundLength = lengthLeft*1000;}

    String remainingString = floatToString((roundLength-roundElapsed)/1000,1);
    Int remainingLeft = StringToInteger(getToken(remainingString, "." , 0));
    Int remainingRight = StringToInteger(getToken(remainingString, "." , 1));
    Int roundRemaining;
    if (remainingRight >= 5) {roundRemaining = (remainingLeft + 1)*1000;}
    else {roundRemaining = remainingLeft*1000;}

    remainingText.setText("-" + integerToTime(roundRemaining));
    lengthText.setText(integerToTime(roundLength));
    if (timeleft==1) {
      timeText.setText("-" + integerToTime(roundRemaining));
      timeleft=1;
    }
  }
  else {
    remainingText.setText("  :  ");
    lengthText.setText("  :  ");
    if (timeleft==1) {
      timeText.setText(integerToTime(roundElapsed));
      timeleft=0;
    }
  }
}

System.onScriptUnloading() {
  delete trackTimer;
  setPrivateInt("this skin", "timeleft", timeleft);
}
