/* progresspopup.m by Ariszlo modified for the Times demo skin, , 2023-06-18 */

#include "lib/std.mi"

Global Slider seekSlider;
Global Layer popupBg;
Global Text popupText, seekCounter;
Global String approximately;
Global Timer progressTimer;
Global Int sliderPressed;

System.onScriptLoaded() {
  group thisGroup = getScriptGroup();
  seekSlider = thisGroup.getObject("Seeker");
  popupBg = thisGroup.getObject("Progress Popup Background");
  popupText = thisGroup.getObject("Progress Popup Text");
  seekCounter = thisGroup.getObject("Seek Counter");

  approximately = popupText.getText();

  popupBg.setAlpha(0);
  popupText.setAlpha(0);

  progressTimer = new Timer;
  progressTimer.setDelay(100);

  if (getStatus() != 0) {
    if (getPlayItemstring() != "") progressTimer.start();
  }
}

seekSlider.onEnterArea() {
  if (getPlayItemLength() > 0) {
      popupBg.setAlpha(255);
      popupText.setAlpha(255);
  }
  else {
    popupBg.setAlpha(0);
    popupText.setAlpha(0);
  }
}

seekSlider.onLeaveArea() {
  popupBg.setAlpha(0);
  popupText.setAlpha(0);
}

System.onPlay() {
  if (getPlayItemstring() != "") progressTimer.start();
}

System.onResume() {
  if (getPlayItemstring() != "") progressTimer.start();
}

seekSlider.onLeftButtonDown(int x, int y) {
  sliderPressed = 1;
}

seekSlider.onLeftButtonUp(int x, int y) {
  sliderPressed = 0;
  seekCounter.setText("");
}

progressTimer.onTimer() {
  if (sliderPressed == 0) {
    // Round elapsed time to the nearest thousand:
    String elapsedString = floatToString(getPosition()/1000, 1);
    Int elapsedLeft = StringToInteger(getToken(elapsedString, "." , 0));
    Int elapsedRight = StringToInteger(getToken(elapsedString, "." , 1));
    Int roundElapsed;
    if (elapsedRight >= 5) {roundElapsed = (elapsedLeft + 1)*1000;}
    else {roundElapsed = elapsedLeft*1000;}

    if (getPlayItemLength() > 0) {
      string playPercentage;
      playPercentage = integerToString(roundElapsed*100/getPlayItemLength());

      if (getPlayItemLength() < 3600000) {
        popupText.setText(integerToTime(roundElapsed) + " / " + integerToTime(getPlayItemLength()) + "   " + playPercentage + "%");
      }
      else {
        popupText.setText(integerToLongTime(roundElapsed) + " / " + integerToLongTime(getPlayItemLength()) + "  " + playPercentage + "%");
      }
    }
  }
}

seekSlider.onSetPosition(int per255age) {
  if (sliderPressed == 1) {
    Int seekage;
    seekage = per255age;

    if (getPlayItemLength() > 0) {
      Float floatElapsed = getPlayItemLength() * seekage/255;

      String seekPercentage;
      seekPercentage = integerToString(seekage*100/255);

      if (getPlayItemLength() < 3600000) {
        popupText.setText(approximately + integerToTime(floatElapsed) + " / " + integerToTime(getPlayItemLength()) + "   " + seekPercentage + "%");
      }
      else {
        popupText.setText(approximately + integerToLongTime(floatElapsed) + " / " + integerToLongTime(getPlayItemLength()) + "  " + seekPercentage + "%");
      }
    }
    seekCounter.setText(integerToString(seekage));
  }
}

System.onScriptUnloading() {
  delete progressTimer;
}
