/* tooltips.m to make the tooltips larger

Modified from freeform engine’s tooltips.m by Ariszló <ariszlo@gmail.com>

Vic trick to set group height in maki is borrowed from
https://www.deviantart.com/victhor/art/Winamp-Classic-Modern-805797724

Getting the value for group height from the default_h parameter defined in
tooltips.xml was introduced by Ariszló in Ariszló’s Study Skin v0.82. */

#include "lib/std.mi"

Global Group tipGroup;
Global Text tipText;
Global String groupHeight;

System.onScriptLoaded() {
  tipGroup = getScriptGroup();
  tipText = tipGroup.findObject("tooltip.text");

  groupHeight = tipGroup.getXmlParam("default_h");
  tipGroup.setXmlParam("h", groupHeight);
}

// When text is changed, resize the group accordingly and make sure it's fully visible

tipText.onTextChanged(String newtext) {
   
  int x = getMousePosX();
  int y = getMousePosY()-tipGroup.getHeight(); // move above mouse by default

  int vpleft = getViewportLeftFromPoint(x, y);
  int vptop = getViewportTopFromPoint(x, y);
  int vpright = vpleft+getViewportWidthFromPoint(x, y);
  int vpbottom = vptop+getViewportHeightFromPoint(x, y);

  int w = getTextWidth()+35;
  int h = tipGroup.getHeight();

  if (x + w > vpright) x = vpright - w;
  if (x < vpleft) x = vpleft;
  if (x + w > vpright) { w = vpright-vpleft-64; x = 32; }
  if (y + h > vpbottom) y = vpbottom - h;
  if (y < vptop) y = vptop + 32; // avoid mouse
  if (y + h > vpbottom) { h = vpbottom-vptop-64; y = 32; }

  tipGroup.resize(x, y, w, h);
}
