/* volumepopup.m

Written by Ariszlo <ariszlo@gmail.com>

Display volume level in a popup

HOW TO USE

1. Add the following tags using your own positions, sizes and colors:

  <layer
    id="Volume Popup Background"
    x="457" y="152"
    image="volume.popup.bg"
    alpha="0" ghost="1"
  />
  <text
    id="Volume Percentage"
    display=""
    x="461" y="156" w="164" h="32" align="center"
    fontsize="26" color="0,0,0"
    alpha="0" ghost="1"
  />
  <script id="volumepopup" file="scripts/volumepopup.maki"/>

2. Copy volumepopup.maki into your scripts folder. */

#include "lib/std.mi"

Global Slider volumeSlider;
Global Layer fakePopup;
Global Text percentTag;

Global string loadedvolume, changedvolume;

System.onScriptLoaded() {
  group thisGroup = getScriptGroup();
  volumeSlider = thisGroup.getObject("Volume");
  fakePopup = thisGroup.getObject("Volume Popup Background");
  percentTag = thisGroup.getObject("Volume Percentage");

  loadedvolume = System.integerToString(System.getVolume() / 2.55);
  percentTag.setText("Volume: " + loadedvolume + " %");

  fakePopup.setAlpha(0);
  percentTag.setAlpha(0);
}

System.onVolumeChanged(Int newvolume) {
  changedvolume = System.integerToString(newvolume / 2.55);
  percentTag.setText("Volume: " + changedvolume + " %");
}

volumeSlider.onEnterArea() {
  fakePopup.setAlpha(255);
  percentTag.setAlpha(255);
}

volumeSlider.onLeaveArea() {
  fakePopup.setAlpha(0);
  percentTag.setAlpha(0);
}
